Bug 1643093 (CVE-2018-18443) - CVE-2018-18443 OpenEXR: Memory leak in ThreadPool in in IlmBase/IlmThread/IlmThreadPool.cpp
Summary: CVE-2018-18443 OpenEXR: Memory leak in ThreadPool in in IlmBase/IlmThread/Ilm...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-18443
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1643095 1643096 1643098 1910633
Blocks: 1643102
TreeView+ depends on / blocked
 
Reported: 2018-10-25 13:44 UTC by Andrej Nemec
Modified: 2021-02-16 22:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 09:34:15 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-10-25 13:44:35 UTC
OpenEXR 2.3.0 has a memory leak in ThreadPool in IlmBase/IlmThread/IlmThreadPool.cpp, as demonstrated by exrmultiview. A specially crafted file could cause the application to crash.

Upstream issue:

https://github.com/openexr/openexr/issues/350

Comment 1 Andrej Nemec 2018-10-25 13:46:39 UTC
Created OpenEXR tracking bugs for this issue:

Affects: fedora-all [bug 1643095]


Created mingw-OpenEXR tracking bugs for this issue:

Affects: fedora-all [bug 1643096]

Comment 3 Stefan Cornelius 2018-11-28 09:34:25 UTC
Statement:

This issue did not affect the versions of OpenEXR as shipped with Red Hat Enterprise Linux 6 and 7.


Note You need to log in before you can comment on or make changes to this bug.